:root {
    --textW: 120vh;
}

html, body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

#destaques {
    position: relative;
    height: 80vh;
    margin-bottom: 1.5vh;
    background: white;
}


#destaques a {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    transition: 0.2s;
}

#destaques a:hover #dest {
    filter: unset;
}


#legendaDiv, #gradient {
    position: absolute;
    transition: 0.2s;
    width: 100%;
    height: 100%;
}

#gradient {
    opacity: 1;
    background: linear-gradient(to top, white, transparent 30%);
}

#destaques a .legenda {
    font-size: 3vh;
    margin: 1.5vh;
    bottom: -0.5vh;
    position: absolute;
}

#destaques a:hover #gradient {
    opacity: 1;
}

#dest {
    position: absolute;
    background-position: center;
    background-size: cover;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    filter: grayscale(1) contrast(50%) brightness(150%);
    transition: 0.2s;
}

.grelhatop div {
    background-position: top !important;
    background-size: contain !important;
    background-repeat: no-repeat !important;
}

#grelhaProjetos {
    overflow: hidden;
}

#grelhaProjetos, .grelha {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-content: flex-start;
}


.projectThumbnail_a {
    width: calc(33.33% - 1vh);
    height: 20vw;
    position: relative;
    margin-bottom: 1.5vh;
    text-decoration: none;

}

.projectThumbnail_a:hover {
    cursor: pointer;
}

.projectThumbnail_a .projectThumbnail {
    transform: rotate(0deg);
    transition: 0.2s;
}


@media (hover: hover) {

.projectThumbnail_a:hover .projectThumbnail {
    transform: rotate(-4deg) translate(3vh, 12vh);
    position: absolute;
    z-index: 1000;
    cursor: pointer;
}

}

.projectThumbnail_a p {
    /*font-size: 2vh;*/
    opacity: 0;
    padding-top: 1vh;
    position: absolute;
    padding-bottom: 10vh;
    padding-left: 1.5vh;
    padding-right: 1.5vh;
    background: linear-gradient(to bottom, white, transparent);
    transition: 0.2s;
    width: calc(100% - 3vh);
}

.projectThumbnail_a:hover p {
    opacity: 1;
    cursor: pointer;
    background: transparent;
}

.projectThumbnail_a:hover * {
    cursor: pointer;
}

.projectThumbnail {
    width: 100%;
    height: 100%;
    background: lightgray;
    background-position: center;
    background-size: cover;
    transition: filter 0.2s;
    position: absolute;
}



.grelha div {
    width: calc(50% - .75vh);
    background-position: center;
    background-size: cover;
    height: 30vw;
    position: relative;
    margin-bottom: 1.5vh;
    background-color: lightgray;
}

.lineDiv {
    white-space: nowrap;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
}

.imgBackground {
    display: flex;
    justify-content: center;
    padding: 3vh;
    background: lightgray;
}

.imgBackground img {
    max-height:600px;
    max-width: 100%;
}

#dynamic-content > img,
#dynamic-content iframe,
#dynamic-content .grelha,
#dynamic-content .showFull {
    width: 100%;
    margin-top: 3.5vh;
}


#dynamic-content .grelha + img,
#dynamic-content .imgBackground,
#dynamic-content iframe + img,
#dynamic-content img + img,
#dynamic-content .showFull + img,
#dynamic-content .grelha + iframe,
#dynamic-content .showFull + iframe,
#dynamic-content .grelha + .grelha,
#dynamic-content .showFull + .grelha,
#dynamic-content .grelha + .showFull,
#dynamic-content .iframe + .showFull {
    margin-top: 1.5vh;
}

#dynamic-content img + iframe,
#dynamic-content iframe + .grelha,
#dynamic-content iframe + iframe,
#dynamic-content img + img,
#dynamic-content img + .grelha,
#dynamic-content .showFull + .showFull,
#dynamic-content img + .showFull {
    margin-top: 0.8vh;
}


#dynamic-content .showFull {
    max-width: 100%;
    width: auto;
    text-align: center;
    align-items: center;
    justify-content: space-around;
    display: block;
    padding: 4.5vh;
    background-color: lightgray;
    font-size: 0;
}

#dynamic-content p {
    margin-top: 3.5vh;
    max-width: 115vh;
}

#dynamic-content span {
    display: inline-block;
    max-width: 115vh;
}

#dynamic-content h4,
#dynamic-content h3,
#dynamic-content h2 {
    margin-top: 7vh;
    max-width: 115vh;
}

#dynamic-content h3.min {
    margin-top: 3.5vh
}


#dynamic-content .showFull img,
#dynamic-content .grelhaShowFull img {
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 75vh;
    margin: 0;
    box-shadow: 1.5vh 1.5vh 1.5vh 0px #00000045;
}

#dynamic-content .showFull img {
    max-height: 75vh;
}

#dynamic-content .grelhaShowFull img {
    max-height: 100%;
}



#dynamic-content .grelhaShowFull {
    max-height: 80vh;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: space-around;
    overflow: hidden;
    padding: 1.5vh;
}

#dynamic-content iframe {
    height: 45vw;
}

#dynamic-content .textWidth {
    width: 115vh;
}


.colunas {
    column-count: 2;
}

.invisible {
    pointer-events: none;
    visibility: hidden;
}


@media (min-aspect-ratio: 5/4) {
    .projectThumbnail_a:nth-last-child(3),
    .projectThumbnail_a:nth-last-child(2),
    .projectThumbnail_a:nth-last-child(1) {
        margin-bottom: 0;
    }

    .grelha div:nth-last-child(1),
    .grelha div:nth-last-child(2) {
        margin-bottom: 0;
    }
}

@media (max-aspect-ratio: 5/4) {
    .projectThumbnail_a {
        width: calc(50% - 0.75vh);
        height: 30vw;
    }


}

@media (max-aspect-ratio: 5/6) {
    .projectThumbnail_a {
        width: 100%;
        height: 55vw;
    }

    .grelha div {
        width: 100%;
        height: 55vw;
        margin-bottom: 1.5vh;
    }

    .projectThumbnail_a:last-child {
        margin-bottom: 0;
    }

    .grelha div:nth-last-child {
        margin-bottom: 0;
    }

    #dynamic-content .showFull {
        padding: 1.5vh;
    }


}






